<?php
/**
 * Twitter Memory
 * http://www.prelude-prod.fr
 *
 * @author Jean-François RENAULD
 * @version 1.0
 * Cette oeuvre est mise à disposition selon les termes de la Licence Creative Commons Paternité - Partage à l'Identique 3.0 non transcrit.
 * http://creativecommons.org/licenses/by-sa/3.0/deed.fr
 *
 * Si vous utilisez ce script, n'hésitez pas à faire un lien vers le site de Prélude Prod : http://www.prelude-prod.fr
 *
*/

include 'config.inc.php';


openMySQL();

//----- récupération des tweets anciens
$max_id = getLastId();
echo $max_id;
for($i = 0; $i < 1; $i++) {
	$tab = get_timeline(gUser, $max_id, FALSE, 50);
	$max_id =  $tab['lastId'];
	if($max_id === FALSE) {
		echo 'Sauvegarde des anciens tweets terminée';
		break;
	}

	foreach($tab['tweets'] as $key => $value) {
		add($value);
		echo '<hr />'.$value['text_format'];
	}
}

echo '<hr />On passe au récents<hr />';

//----- récupération des tweets récents
$first_id = getFirstId();
for($i = 0; $i < 1; $i++) {
	$tab = get_timeline(gUser, FALSE, $first_id, 50);
	$max_id =  $tab['lastId'];
	if($max_id === FALSE) {
		echo 'Sauvegarde des tweets récents terminée';
		break;
	}

	foreach($tab['tweets'] as $key => $value) {
		add($value);
		echo '<hr />'.$value['text_format'];
	}
}


closeMySQL();

